System requirements

Nutshell is a modern web application, taking advantage of the latest technology for a better user experience. Please drop us a line if you have any questions about Nutshell’s browser compatibility.

For the best experience, use the most recent versions of:

  • Google Chrome
  • Mozilla Firefox
  • Apple Safari
  • Opera
  • Internet Explorer (10+)

iPhone application

The Nutshell iPhone application is a free, native app that provides an excellent mobile tool for working with your data on the road. To use it, you need:

  • iPhone (4s or newer) or iPod Touch (5th-generation or newer)
  • iOS 8.1 or newer

Android application

The Nutshell Android application is a free, native app, compatible with most modern Android hardware. To use it, you'll need:

  • A touchscreen Android phone running Android 4.1 (Jelly Bean) or greater

Microsoft Exchange integration

Nutshell can optionally synchronize with your company's Microsoft Exchange server to share activities with your user's calendars. We use the latest Microsoft-endorsed protocol for these communications, Exchange Web Services. To use Nutshell with your Exchange server you need:

  • Microsoft Exchange 2007 or newer
  • Exchange Web Services protocol must be enabled
  • A service user with impersonation privileges